jQuery.fn.navigation = function(options){
    var options = jQuery.extend({
        expandTree: false,
        openSpeed: 400,
        arrow_right: "<img class='navigation-arrow' src='/assets/navigation/plus.gif' />",
        arrow_down: "<img class='navigation-arrow' src='/assets/navigation/minus.gif' />"
    },options);
    return this.each(function (){
        if (jQuery.type(jQuery(this)) === "object")
        {
			jQuery('ul').each(function () {
				if ($(this).children('li').size() == 0) $(this).remove();
			});

            jQuery(this).find('li > a').next().hide();
            jQuery(this).find('li > a').next().parent().prepend(options.arrow_right);
            jQuery(this).find('li > a').click(function(event) {
                if (jQuery(this).next().length > 0)
                    event.preventDefault();
                
                jQuery(this).next().slideToggle(options.openSpeed, function () {
                    if (jQuery(this).is(":visible"))
                        {
                            jQuery(this).parent().children('img').remove();
                            jQuery(this).parent().prepend(options.arrow_down);
                        }
                        else
                            {
                                jQuery(this).parent().children('img').remove();
                                jQuery(this).parent().prepend(options.arrow_right);
                            }
                    
                });
            });
        }
    });
};
